package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class DiagnosaKeperawatan
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "DiagnosaKeperawatan_M")
public class DiagnosaKeperawatanVO extends BaseMasterVO {

	private String deskripsiDiagnosaKep;
	
	private String namaDiagnosaKep;		
	
	private Integer qDiagnosaKep;
	
	private String diagnosaKep;	

	public String getDeskripsiDiagnosaKep() {
		return deskripsiDiagnosaKep;
	}

	public void setDeskripsiDiagnosaKep(String deskripsiDiagnosaKep) {
		this.deskripsiDiagnosaKep = deskripsiDiagnosaKep;
	}

	public String getNamaDiagnosaKep() {
		return namaDiagnosaKep;
	}

	public void setNamaDiagnosaKep(String namaDiagnosaKep) {
		this.namaDiagnosaKep = namaDiagnosaKep;
	}

	public Integer getqDiagnosaKep() {
		return qDiagnosaKep;
	}

	public void setqDiagnosaKep(Integer qDiagnosaKep) {
		this.qDiagnosaKep = qDiagnosaKep;
	}

	public String getDiagnosaKep() {
		return diagnosaKep;
	}

	public void setDiagnosaKep(String diagnosaKep) {
		this.diagnosaKep = diagnosaKep;
	}

}

